#include <pic18.h>
#include "Delay.h"

#ifdef UseDelayTMR0

void DelayConstUsTMR0()
{
  TMR0IF=0;
  T0CON=0x88;
  while(!TMR0IF);
  TMR0ON=0;
}

void DelayMs(unsigned char time)
{
  while(time--) DelayUs(1000);
}

void Delay01s(unsigned char time)
{
  while(time--) { DelayMs(100);asm("CLRWDT"); }
}

#else

void DelayUs(unsigned char time)
{
  while(time--);
}

void DelayMs(unsigned char time)
{
  unsigned char i;
  while(time--)
  {
    i=5;
    while(i--) DelayUs(200);
    DelayUs(9);
  }
}

void Delay01s(unsigned char time)
{
  unsigned char i,j;
  while(time--)
  {
    j=100;
    while(j--)
    {
      i=5;
      while(i--) DelayUs(200);
      DelayUs(9);
      asm("CLRWDT");
    }
  }
}

#endif
